function h_elpse = drawFillEllispe2D(xc, yc, ra, rb, theta, lineColor, fillColor)
% compute points corresponding to axis-oriented ellipse
t = linspace(0, 2*pi, 200);

xt = ra * cos(t) + xc;
yt = rb * sin(t) + yc;

% apply rotation by angle theta
cot = cos(theta); sit = sin(theta);
x = xt * cot - yt * sit;
y = xt * sit + yt * cot;

% draw the curbe
plot(x, y, '-', 'Color', lineColor);
axis equal
hold on;
fill(x,y,fillColor)
h_elpse = [];